#ifndef _GAME_H
#define _GAME_H

#include<SDL/SDL.h>
#include<stdio.h>
#include"main.h"
#include"map.h"
#include"chara.h"
#include"weapon.h"
#include"object.h"
#include"enemy.h"
#include"support.h"
#include"audio.h"


#define DEF_EN_NUM	20	//$B%G%U%)%k%H$NE($N?t(B
#define ITEMBOX_NUM	5	//$B%"%$%F%`%\%C%/%9$,=P8=$9$k>e8B(B


#define RANK_NUM	5	//$B%i%s%-%s%0$N?t(B

typedef struct FLOOR_RANK{
	int floor;
	long score;
}FLOOR_RANK;
typedef struct SCORE_RANK{
	int floor;
	long score;
}SCORE_RANK;


void Title(SDL_Surface *screen);	//$B%?%$%H%k2hLL(B
int GameMain(SDL_Surface *screen);	//$BDL>o$N%2!<%`%a%$%s(B
void SetStage(WMAP wmap_data[], WMAP *wmap, LMAP *lmap, LADDER *ladder, unsigned floor);	//$B%9%F!<%8$N%;%C%F%#%s%0(B

void RankingMain(SDL_Surface *screen);			//$B%i%s%-%s%02hLL(B
void LoadRanking(SCORE_RANK score_rank[], FLOOR_RANK floor_rank[]);	//$B%i%s%-%s%0%m!<%I(B
int RankIn(int floor, long score);				//$B%i%s%/%$%s=hM}(B
void SaveRanking(SCORE_RANK score_rank[], FLOOR_RANK floor_rank[]);	//$B%i%s%-%s%0%;!<%V(B

#endif
