#include"chara.h"

#define DEBUG

//プレーヤー制御
//戻り値　プレーヤー移動量
PL_MOVE MovePlayer(PLAYER *player, LMAP *lmap, WMAP wmap, KEY_FLG key_flg){
	SDL_Rect src = {0};
	unsigned char lmap_flg=0;	//ローカルマップ更新フラグ
	HITPARAM hitparam;	//あたり判定時のパラメータ保存用
	int i;
	PL_MOVE pl_move = {0,0,0};

	//移動処理=================================================
	if(player->flg==1 || player->flg==2){
		if(!player->stop_flg){
			if(key_flg & KFLG_D_w){
				lmap->y++;
				src.y--;
				pl_move.y--;
				//MAPとのあたり判定
				for(i=7; i<25; i++){
					hitparam = HitLmap(*lmap, PL_X+i, PL_Y+14);
					if(hitparam.flg){
						lmap->y -= 32 - hitparam.y;
						pl_move.y++;
						break;
					}
				}
			}
			if(key_flg & KFLG_D_s){
				lmap->y--;
				src.y++;
				pl_move.y++;
				//MAPとのあたり判定
				for(i=7; i<25; i++){
					hitparam = HitLmap(*lmap, PL_X+i, PL_Y+31);
					if(hitparam.flg){
						lmap->y += hitparam.y + 1;
					pl_move.y--;
						break;
					}
				}
			}
			if(key_flg & KFLG_D_a){
				lmap->x++;
				src.x--;
				pl_move.x--;
				//MAPとのあたり判定
				for(i=14; i<32; i++){
					hitparam = HitLmap(*lmap, PL_X+7, PL_Y+i);
					if(hitparam.flg){
						lmap->x -= 32 - hitparam.x;
						pl_move.x++;
						break;
					}
				}
			}
			if(key_flg & KFLG_D_d){
				lmap->x--;
				src.x++;
				pl_move.x++;
				//MAPとのあたり判定
				for(i=14; i<32; i++){
					hitparam = HitLmap(*lmap, PL_X+24, PL_Y+i);
					if(hitparam.flg){
						lmap->x += hitparam.x + 1;
						pl_move.x--;
						break;
					}
				}
			}
		}
		if(key_flg & (KFLG_D_w|KFLG_D_s|KFLG_D_a|KFLG_D_d)){
			if(player->flg == 1){	//射撃中は、移動による方向転換・アニメはしない
				//アニメのコマ
				player->koma = (player->koma + 1) % 40;
				//向き
				if(src.y < 0){
					if(src.x < 0){player->muki = 7;}
					else if(src.x > 0){player->muki = 1;}
					else{player->muki = 0;}
				}else if(src.y > 0){
					if(src.x < 0){player->muki = 5;}
					else if(src.x > 0){player->muki = 3;}
					else{player->muki = 4;}
					}else{
					if(src.x < 0){player->muki = 6;}
					else if(src.x > 0){player->muki = 2;}
				}
			}
			//ローカルマップ更新チェック
			if(lmap->x <= LMAP_DEF_X-32){lmap->x += 32; lmap->w_x++; lmap_flg = 1;}
			else if(lmap->x >= LMAP_DEF_X+32){lmap->x -= 32; lmap->w_x--; lmap_flg = 1;}
			if(lmap->y <= LMAP_DEF_Y-32){lmap->y += 32; lmap->w_y++; lmap_flg = 1;}
			else if(lmap->y >= LMAP_DEF_Y+32){lmap->y -= 32; lmap->w_y--; lmap_flg = 1;}
			if(lmap_flg){SetLmap(lmap, wmap);}
		}else if(player->flg == 1){player->koma = 10;}
		//射撃中は専用のアニメーション
		if(player->flg == 2){
			player->koma++;
			if(player->koma >= 8){player->flg = 1;}	//[射撃]状態解除
		}
	}
	//ダメージ（ふっ飛び中）==================================================================
	else if(player->flg == 3){
		if(player->tobi_muki==7 || player->tobi_muki==0 || player->tobi_muki==1){//上-------------
			lmap->y+=BOM_TOBI_SP;
			src.y-=BOM_TOBI_SP;
			pl_move.y-=BOM_TOBI_SP;
			//MAPとのあたり判定
			for(i=5; i<27; i++){
				hitparam = HitLmap(*lmap, PL_X+i, PL_Y+10);
				if(hitparam.flg){
					lmap->y -= 32 - hitparam.y;
					pl_move.y += 32 - hitparam.y;
					break;
				}
			}
		}
		if(player->tobi_muki==3 || player->tobi_muki==4 || player->tobi_muki==5){//下---------------
			lmap->y-=BOM_TOBI_SP;
			src.y+=BOM_TOBI_SP;
			pl_move.y+=BOM_TOBI_SP;
			//MAPとのあたり判定
			for(i=5; i<27; i++){
				hitparam = HitLmap(*lmap, PL_X+i, PL_Y+31);
				if(hitparam.flg){
					lmap->y += hitparam.y + 1;
					pl_move.y -= hitparam.y + 1;
					break;
				}
			}
		}
		if(player->tobi_muki==5 || player->tobi_muki==6 || player->tobi_muki==7){//左-------------
			lmap->x+=BOM_TOBI_SP;
			src.x-=BOM_TOBI_SP;
			pl_move.x-=BOM_TOBI_SP;
			//MAPとのあたり判定
			for(i=10; i<32; i++){
				hitparam = HitLmap(*lmap, PL_X+5, PL_Y+i);
				if(hitparam.flg){
					lmap->x -= 32 - hitparam.x;
					pl_move.x += 32 - hitparam.x;
					break;
				}
			}
		}
		if(player->tobi_muki==1 || player->tobi_muki==2 || player->tobi_muki==3){//右-------------
			lmap->x-=BOM_TOBI_SP;
			src.x+=BOM_TOBI_SP;
			pl_move.x+=BOM_TOBI_SP;
			//MAPとのあたり判定
			for(i=10; i<32; i++){
				hitparam = HitLmap(*lmap, PL_X+26, PL_Y+i);
				if(hitparam.flg){
					lmap->x += hitparam.x + 1;
					pl_move.x -= hitparam.x + 1;
					break;
				}
			}
		}
		//ローカルマップ更新チェック
		if(lmap->x <= LMAP_DEF_X-32){lmap->x += 32; lmap->w_x++; lmap_flg = 1;}
		else if(lmap->x >= LMAP_DEF_X+32){lmap->x -= 32; lmap->w_x--; lmap_flg = 1;}
		if(lmap->y <= LMAP_DEF_Y-32){lmap->y += 32; lmap->w_y++; lmap_flg = 1;}
		else if(lmap->y >= LMAP_DEF_Y+32){lmap->y -= 32; lmap->w_y--; lmap_flg = 1;}
		if(lmap_flg){SetLmap(lmap, wmap);}

		player->tobi_wait--;	//ふっ飛び時間減算
		if(player->tobi_wait <= 0){player->flg = 1;}	//通常に戻る		
	}
	//爆発===========================================================================
	if(player->flg == 4){
		player->koma++;
		if(player->koma >= 32){player->flg = 0;}
	}

	

	if(pl_move.x || pl_move.y){
		pl_move.flg = 1;
	}
	return pl_move;
}
//プレーヤー表示
void DrawPlayer(SDL_Surface *screen, SDL_Surface *img, PLAYER player){

	//通常アニメ
	if(player.flg == 1){
		DrawBmp(screen, PL_X, PL_Y, 32, 32, img,
			(player.muki % 2) * 128 + (player.koma / 10) * 32, (player.muki /2) * 32, 32, 32);
	}
	//射撃アニメ
	else if(player.flg == 2){
		DrawBmp(screen, PL_X, PL_Y, 32, 32, img,
			(player.muki % 2) * 128 + (player.koma / 2) * 32, 128 + (player.muki /2) * 32, 32, 32);		
	}
	//ダメージ（ふっ飛び）
	else if(player.flg == 3){
		DrawBmp(screen, PL_X, PL_Y, 32, 32, img,
			(player.muki % 2) * 128, (player.muki /2) * 32, 32, 32);		
	}
	//爆発
	else if(player.flg == 4){
		DrawBmp(screen, PL_X, PL_Y, 32, 32, img,
			128 + (player.koma/8) * 32, 576, 32, 32);
	}
}
//カーソル制御（マウス操作）
void MoveCursor(PLAYER *player, LMAP lmap, MOUSE_PARAM mouse_param){
	static unsigned char btstopR=0;	//マウス右クリック連打ストップ
	static unsigned char btstopL=0;	//マウス左クリック連打ストップ
	int rx, ry;
	static unsigned char secondBullet=0;	//二発以上連射しているときにON
	HITPARAM hitparam;	//あたり半定時のパラメータ保存用	

	//プレーヤーが普通に動ける状態のとき
	if(player->flg==1 || player->flg==2){
		//右クリック	武器チェンジ
		if(mouse_param.bt & MBT_D_RIGHT){
			if(!btstopR){
				btstopR = 1;
				//武器変更
				player->wepflg = (player->wepflg + 1) % 3;
			}
		}else{btstopR = 0;}
		//左クリック	武器使用
		if(mouse_param.bt & MBT_D_LEFT){
			if(!btstopL){
				btstopL = 1;
				//単発
				if(player->wepflg == 0){
					player->flg = 2;	//[射撃]状態
					player->koma = 0;
					rx = mouse_param.x;	//狙う位置を定める
					ry = mouse_param.y;	//	〃
					hitparam = HitLmapLine(lmap, PL_X+16, PL_Y+20, rx, ry);	//壁にあたってないか判定
					if(hitparam.flg){rx=hitparam.x; ry=hitparam.y;}	//あたってたら着弾点を修正
					player->muki = CharaTurnCursor(mouse_param.x, mouse_param.y);	//向きを射撃方向に
					MakeBullet(rx, ry, TEAM_P);	//弾丸発射
				}
				//マシンガン
				else if(player->wepflg == 1){
					btstopL = 0;	//連射だからストップ解除
					//弾薬があれば発射 && 射撃状態じゃなければ
					if(player->mg_ammo>0 && player->flg==1){
						player->mg_ammo--;
						player->flg = 2;	//[射撃]状態
						player->koma = 0;
						if(secondBullet){	//二発目以降のばらつき
							rx = -8 + random()%17;
							ry = -8 + random()%17;
						}else{rx=0; ry=0;}
						rx = mouse_param.x + rx;	//狙う位置を定める
						ry = mouse_param.y + ry;	//	〃
						hitparam = HitLmapLine(lmap, PL_X+16, PL_Y+20, rx, ry);	//壁にあたってないか判定
						if(hitparam.flg){rx=hitparam.x; ry=hitparam.y;}	//あたってたら着弾点を修正
						player->muki = CharaTurnCursor(mouse_param.x, mouse_param.y);	//向きを射撃方向に
						MakeBullet(rx, ry, TEAM_P);	//弾丸発射
						secondBullet = 1;	//次弾以降は命中率減
					}
				}
				//ボム
				else if(player->wepflg == 2){
					//ボムがあれば投擲
					if(player->bom_ammo){
						player->bom_ammo--;	//ボム減算
						MakeBom(PL_X+16, PL_Y+16, mouse_param.x, mouse_param.y);
					}
				}
			}
		}else{btstopL = 0; secondBullet=0;}
	}

}
//カーソル描画
void DrawCursor(SDL_Surface *screen, SDL_Surface *img, PLAYER player, MOUSE_PARAM mouse_param){
	static unsigned char anime;

	//プレーヤーが普通に動ける状態のとき
	if(player.flg==1 || player.flg==2){
		anime = (anime + 1)%60;
		DrawBmp(screen, mouse_param.x-16, mouse_param.y-16, 32, 32, img, 128+32*(anime/15), 544, 32, 32);
	}
}
//カーソルの方に向く0~7の値を求める
int CharaTurnCursor(int cx, int cy){
	return GetMuki(PL_X+16, PL_Y+16, cx, cy);
}
//対象から目標の向き（0~7の値）で調べる
int GetMuki(int x1, int y1, int x2, int y2){
	int deg;
	deg = GetDeg(x1, y1, x2, y2);
	deg = (deg + 28)%360;
	deg /= 45;
	deg = (deg + 2)%8;
	return deg;
}
//ステータス表示
void DrawState(SDL_Surface *screen, SDL_Surface *img, PLAYER player, int floor){
	static int fps=0;
	int buf;
	
	//ライフ表示
	DrawBmp(screen, 5, 5, 106, 16, img, 0, 0, 106, 16);
	DrawBmp(screen, 8, 8, player.hp, 10, img, 0, 16, player.hp, 10);
	//マシンガン弾数
	DrawBmp(screen, 5, 21, 20, 12, img, 0, 26, 20, 12);
	DrawNum(screen, 25, 24, player.mg_ammo, img);
	//ボム数
	DrawBmp(screen, 64, 21, 20, 12, img, 20, 26, 20, 12);
	DrawNum(screen, 84, 24, player.bom_ammo, img);	
	//スコア
	DrawBmp(screen, 120, 5, 48, 12, img, 40, 26, 48, 12);
	DrawNum(screen, 170, 8, player.score, img);
	//フロア
	DrawBmp(screen, 280, 5, 12, 12, img, 88, 26, 12, 12);
	DrawNum(screen, 292, 8, floor, img);
	//FPS
#ifdef DEBUG
	if((buf = fps_no())){fps = buf;}
	DrawNum(screen, 0, 230, fps, img);
#endif

}
//武器チェンジ時表示
void DrawWepSelect(SDL_Surface *screen, SDL_Surface *img, PLAYER player){
	static unsigned char lastwep=0;	//前回の武器
	static int time=0;	//表示持続時間

	//武器チェンジが発生した場合
	if(lastwep != player.wepflg){
		time = FPS * 1.5;
		lastwep = player.wepflg;
	}

	//表示持続時間中の処理
	if(time > 0){
		DrawBmp(screen, 256, 24, 64, 192, img, 170, 0, 64, 192);
		DrawBmp(screen, 256, 24+64*player.wepflg, 64, 64, img, 106, 64*player.wepflg, 64, 64);
		time--;
	}

}
//数字表示
void DrawNum(SDL_Surface *screen, int x, int y, unsigned long num, SDL_Surface *img){
	unsigned long buf;
	int keta=1;
	int mask;
	int i;
	
	buf = num;
	while(buf >= 10){
		buf /= 10;
		keta++;
	}

	buf = num;
	mask = pow(10, keta-1);
	i=0;
	while(mask > 0){
		DrawBmp(screen, x+i*8, y, 8, 8, img, (buf/mask)*8, 60, 8, 8);
		i++;
		buf = buf % mask;
		mask = mask / 10;
	}
	
}
